> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/copy-trading/close-leading-position/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Close leading position POST https://www.okx.com/api/v5/copytrading/close-subposition Content-Type: application/json You can only close a lead position once a time. It is required to pass subPosId which can get from Get existing leading positions. Reference: https://okx-demo.ferndocs.com/api/api-reference/copy-trading/close-leading-position ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `subPosId` (string, required) — Lead position ID - `instType` (enum, optional) — Instrument type `SPOT` `SWAP`, the default value - Allowed values: `SPOT`, `SWAP` - `subPosType` (enum, optional) — Sub position type. lead: lead trade; copy: copy trade. Default is lead. - Allowed values: `lead`, `copy` - `ordType` (enum, optional) — Order type `market`:Market order, the default value `limit`:Limit order - Allowed values: `market`, `limit` - `px` (string, optional) — Order price. Only applicable to `limit` order and `SPOT` lead trader If the price is 0, the pending order will be canceled. It is modifying order if you set `px` after placing limit order. - `tag` (string, optional) — Order tag A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 16 characters. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5CopytradingCloseSubpositionPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5CopytradingCloseSubpositionPostResponsesContentApplicationJsonSchemaDataItems - `subPosId` (string, optional) — Lead position ID - `tag` (string, optional) — Order tag ## Examples **Request** ```json { "subPosId": "518490927819030528" } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "subPosId": "518560559046594560", "tag": "" } ] } ``` **SDK Code** ```python copyTrading_closeLeadingPosition_example import requests url = "https://www.okx.com/api/v5/copytrading/close-subposition" payload = { "subPosId": "518490927819030528" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript copyTrading_closeLeadingPosition_example const url = 'https://www.okx.com/api/v5/copytrading/close-subposition'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"subPosId":"518490927819030528"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go copyTrading_closeLeadingPosition_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/copytrading/close-subposition" payload := strings.NewReader("{\n \"subPosId\": \"518490927819030528\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby copyTrading_closeLeadingPosition_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/copytrading/close-subposition") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"subPosId\": \"518490927819030528\"\n}" response = http.request(request) puts response.read_body ``` ```java copyTrading_closeLeadingPosition_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/copytrading/close-subposition") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"subPosId\": \"518490927819030528\"\n}") .asString(); ``` ```php copyTrading_closeLeadingPosition_example request('POST', 'https://www.okx.com/api/v5/copytrading/close-subposition', [ 'body' => '{ "subPosId": "518490927819030528" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp copyTrading_closeLeadingPosition_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/copytrading/close-subposition"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"subPosId\": \"518490927819030528\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift copyTrading_closeLeadingPosition_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = ["subPosId": "518490927819030528"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/copytrading/close-subposition")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```